summaryrefslogtreecommitdiffstats
path: root/system/opam/opam.SlackBuild
diff options
context:
space:
mode:
author Roberto Metere <roberto@metere.it>2018-11-22 21:32:26 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-11-24 12:35:14 +0700
commit0c2574dc2f0ed1f24b480e97cfc8ca52c7120366 (patch)
treeb1544b1e332783055333c7f6311f0c3f34b2b967 /system/opam/opam.SlackBuild
parent0c157f6a70f7f9c02a6e4e7faa338961d36bf055 (diff)
downloadslackbuilds-0c2574dc2f0ed1f24b480e97cfc8ca52c7120366.tar.gz
slackbuilds-0c2574dc2f0ed1f24b480e97cfc8ca52c7120366.tar.xz
system/opam: Updated for version 2.0.1.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/opam/opam.SlackBuild')
-rw-r--r--system/opam/opam.SlackBuild26
1 files changed, 18 insertions, 8 deletions
diff --git a/system/opam/opam.SlackBuild b/system/opam/opam.SlackBuild
index ea4323275d..e7d8270b0d 100644
--- a/system/opam/opam.SlackBuild
+++ b/system/opam/opam.SlackBuild
@@ -22,7 +22,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=opam
-VERSION=${VERSION:-1.2.2}
+VERSION=${VERSION:-2.0.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -56,7 +56,7 @@ fi
set -e
rm -rf $PKG
-mkdir -p $TMP $PKG $CWD
+mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-full-$VERSION.tar.gz
@@ -69,23 +69,33 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX}
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
make lib-ext
make
make install DESTDIR=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS CHANGES CONTRIBUTING.md LICENSE README.md \
$PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/doc/opam-installer $PKG/usr/doc/$PRGNAM-$VERSION/opam-installer
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# A file in the $PKG/usr/doc/$PRGNAM-$VERSION can be stripped,
-# so we strip here, rather than immediately after make install.
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc